#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main()
{

    char linha[100000];

    while (1)
    {
        fgets(linha, 100000, stdin);
        linha[strlen(linha) - 1] = '\0';

        if (strcmp(linha, "0") == 0)
        {
            break;
        }

        char *temp0 = strtok(linha, " ");
        char *temp1 = strtok(NULL, " ");
        char *temp2 = strtok(NULL, " ");
        char *temp3 = strtok(NULL, " ");
        char *temp4 = strtok(NULL, " ");
        char *temp5 = strtok(NULL, " ");
        char *temp6 = strtok(NULL, " ");
        char *temp7 = strtok(NULL, " ");

        int d1 = atoi(temp0);
        int d2 = atoi(temp1);
        int d3 = atoi(temp2);
        int a11 = atoi(temp3);
        int a12 = atoi(temp4);
        int a21 = atoi(temp5);
        int a22 = atoi(temp6);
        int a23 = atoi(temp7);

        int media = d1 + d2 + d3 + (int)((a11 + a12) / 2) + (int)((a21 + a22 + a23) / 3);

        if (media < 60)
        {
            printf("Aluno reprovado com nota: %d \n", media);
        }
        else
        {
            printf("Aluno aprovado com nota: %d \n", media);
        }
    }
    return 0;
}